%define xmms_plugindir %(xmms-config --general-plugin-dir 2>/dev/null || echo %{_libdir}/xmms/General)

Summary: Audioscrobbler plugin for XMMS
Name: xmms-scrobbler
Version: 0.4.0
Release: 9%{?dist}
License: LGPLv2+
Group: Applications/Multimedia
URL: http://xmms-scrobbler.sommitrealweird.co.uk/
Source: http://xmms-scrobbler.sommitrealweird.co.uk/download/xmms-scrobbler-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: xmms >= 1.2.4
BuildRequires: xmms-devel >= 1.2.4, libmusicbrainz-devel >= 2.0.0, curl-devel, bc
BuildRequires: taglib-devel

%description
XMMS Scrobbler is a plugin for xmms that reports your music listening to last.fm.


%prep
%setup -q


%build
%configure \
	--disable-bmp-plugin \
	--libdir=%{xmms_plugindir} \

make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

find %{buildroot} -name '*.la' -exec rm -f {} \;

%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING README README.tags KnownIssues TODO
%{xmms_plugindir}/libxmms_scrobbler.so


%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Mar 18 2009 Robert Scheck <robert@fedoraproject.org> - 0.4.0-7
- Rebuilt against libmusicbrainz < 3.0.0

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 19 2009 Andreas Thienemann <andreas@bawue.net> - 0.4.0-5
- Rebuilt against newer libmusicbrainz

* Fri Jun  6 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.4.0-4
- fix license tag
- add bc as BuildRequires (configure uses it)
- add taglib-devel as BuildRequires

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.0-3
- Autorebuild for GCC 4.3

* Mon Feb 18 2008 Andreas Thienemann <andreas@bawue.net> - 0.4.0-2
- Rebuilt against gcc43

* Fri Aug 31 2007 Andreas Thienemann <andreas@bawue.net> - 0.4.0-1
- Updated to new upstream release 0.4.0

* Mon Nov 06 2006 Jindrich Novy <jnovy@redhat.com> - 0.3.8.1-3
- rebuild against the new curl

* Fri Sep 08 2006 Andreas Thienemann <andreas@bawue.net> - 0.3.8.1-2
- FE6 Rebuild

* Thu Apr 27 2006 Andreas Thienemann <andreas@bawue.net> 0.3.8.1-1
- Updated to 0.3.8.1

* Thu Apr 27 2006 Andreas Thienemann <andreas@bawue.net> 0.3.8-1
- Updated to 0.3.8

* Thu Apr 27 2006 Andreas Thienemann <andreas@bawue.net> 0.3.6-2
- Fixed permissions

* Mon Apr 24 2006 Andreas Thienemann <andreas@bawue.net> 0.3.6-1
- Initial FE package
